For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • GETList users
      • GETRetrieve a single User
      • POSTSearch or list users
LogoLogo
SupportDeel Home
EndpointsUsers

Retrieve a single User

GET
/Users/:hris_profile_id
GET
/scim/v2/Users/:hris_profile_id
$curl https://api.letsdeel.com/scim/v2/Users/550e8400-e29b-41d4-a716-446655440000 \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {},
3 "name": {
4 "givenName": "John",
5 "familyName": "Doe"
6 },
7 "emails": [],
8 "schemas": [
9 "urn:ietf:params:scim:schemas:core:2.0:User"
10 ],
11 "userName": "john.doe@example.com",
12 "phoneNumbers": [
13 {
14 "type": "work",
15 "value": "+11234567890",
16 "primary": true
17 }
18 ],
19 "id": "abc123",
20 "title": "Software Engineer",
21 "active": true,
22 "userType": "employee",
23 "addresses": [],
24 "urn:ietf:params:scim:schemas:extension:2.0:User": {},
25 "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {}
26}

Retrieve a single user by id. Token scopes: Users:read

Was this page helpful?
Previous

Search or list users

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

hris_profile_idstringRequired

The unique identifier (OID) of the HRIS profile to retrieve.

Response

Successful response
metaobject
nameobject
emailslist of objects
schemaslist of enums
Allowed values:
userNamestring
phoneNumberslist of objects
idstring
titlestring
activebooleanDefaults to false
userTypestring
addresseslist of objects
urn:ietf:params:scim:schemas:extension:2.0:Userobject
urn:ietf:params:scim:schemas:extension:enterprise:2.0:Userobject

Errors

404
Not Found Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/